Web-viewer compatible browsers

To properly download and view your protected PDF, your browser must be compatible with HTML5. Below are the earliest versions of browsers that were compatible with HTML5

  • Internet Explorer 10 and higher
  • Firefox 7 and higher
  • Chrome 14 and higher
  • Safari 5 and higher
  • Opera 11 and higher